using System;

namespace ConsoleApp8
{
	class Program
	{
		static void Main(string[] args)
		{
			int t = int.Parse(Console.ReadLine());
			string[] resenja = new string[t];
			for(int i=0; i<t; i++) 
			{
				var nmk = Console.ReadLine().Split();
				ulong n = ulong.Parse(nmk[0]);
				ulong m = ulong.Parse(nmk[1]);
				ulong k = ulong.Parse(nmk[2]);
				if (k == 1)
                {
                    if (n + 1 <= m / n) { resenja[i] = "Tak"; }
                    else { resenja[i] = "Nie"; }
                }
				else if (k == 2)
				{
                    if (n % 2 == 0)
                    {
                        if ((n + 2) / 2 <= 2 * m / n) { resenja[i] = "Tak"; }
						else { resenja[i] = "Nie"; }
					}
                    else
                    {
						if ((n + 2) / 2 <= (2 * m) / (n+2)) { resenja[i] = "Tak"; }
						else { resenja[i] = "Nie"; }
					}
				}
                else
                {
					ulong x = ((n - k) / 2) + 1;
                    if ((x + 1) * x <= (m - 1) / (2 * (k - 1))) { resenja[i] = "Tak"; }
					else { resenja[i] = "Nie"; }
				}
			}
			for(int j=0; j<t; j++)
            {
				Console.WriteLine(resenja[j]);
            }


		}
	}
}